import { createSlice } from '@reduxjs/toolkit';

interface TracksState {
  tracks: { [index: string]: any };
}

const initialTracks: TracksState = {
  tracks: {},
};

const tracksSlice = createSlice({
  name: 'tracks',
  initialState: initialTracks,
  reducers: {
    add: (state, action) => {
      state.tracks[action.payload.id] = action.payload.track;
    },
    push: (state, action) => {
      state.tracks[crypto.randomUUID()] = action.payload;
    },
  },
});

export const tracksActions = tracksSlice.actions;

export default tracksSlice.reducer;
